> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get All Subscriptions > Get the room notification subscription details and the latest updates. Note that the unread counter value depends on your settings in the **Manage** > **Workspace** > **General** section. ### Changelog | Version | Description | | ---------------- | ------------| |8.8.0 | Added the `threadDrafts` field | |0.60.0 | Added | ## OpenAPI ````json GET /api/v1/subscriptions.get { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/subscriptions.get": { "get": { "summary": "Get All Subscriptions", "description": "Get the room notification subscription details and the latest updates. Note that the unread counter value depends on your settings in the **Manage** > **Workspace** > **General** section.\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|8.8.0 | Added the `threadDrafts` field |\n|0.60.0 | Added |", "operationId": "get-api-v1-subscriptions.get", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "string", "example": "2017-11-25T15:08:17.248Z" }, "in": "query", "name": "updatedSince", "description": "Date and time from which to fetch changes. Format: ISO 8601 datetime. Optional seconds, optional milliseconds, optional timezone, always with colon time separators." } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "update": { "type": "array", "items": { "$ref": "#/components/schemas/Subscription" } }, "remove": { "type": "array", "items": { "type": "object" } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "update": [ { "t": "c", "ts": "2017-11-25T15:08:17.249Z", "name": "general", "fname": null, "rid": "GENERAL", "u": { "_id": "EoyAmF4mxx5HxJHJB", "username": "rocket.cat", "name": "Rocket Cat" }, "open": true, "alert": true, "unread": 1, "userMentions": 1, "groupMentions": 0, "_updatedAt": "2017-11-25T15:08:17.249Z", "_id": "5ALsG3QhpJfdMpyc8" } ], "remove": [], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "tags": [ "Subscriptions" ] } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "schemas": { "Subscription": { "type": "object", "properties": { "_id": { "type": "string" }, "open": { "type": "boolean" }, "alert": { "type": "boolean" }, "unread": { "type": "integer" }, "userMentions": { "type": "integer" }, "groupMentions": { "type": "integer" }, "ts": { "type": "string" }, "rid": { "type": "string" }, "name": { "type": "string" }, "fname": { "type": "string", "nullable": true }, "t": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "ls": { "type": "string" }, "E2EKey": { "type": "string" }, "draft": { "type": "string", "description": "The unfinished message draft for the room." }, "threadDrafts": { "type": "object", "description": "The unfinished thread reply drafts, keyed by the ID of each thread's main message.", "additionalProperties": { "type": "string" } } } } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````